apiVersion: v1
kind: Service
metadata:
  name: {{ include "mattermost.name" . }}
  labels:
    app.kubernetes.io/name: {{ include "mattermost.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    helm.sh/chart: {{ include "mattermost.chart" . }}
spec:
  selector:
    app.kubernetes.io/name: {{ include "mattermost.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
  type: {{ .Values.service.type }}
  ports:
  - port: {{ .Values.service.externalPort }}
    targetPort: http
    protocol: TCP
    name: {{  include "mattermost.name" . }}
